ChangeSet 1.1608.24.15, 2004/02/27 12:11:54-08:00, stern@rowland.harvard.edu

[PATCH] USB Storage: Remove Minolta Dimage 7i from unusual_devs.h

On Fri, 27 Feb 2004, Lenar Lhmus wrote:

> Hi,
>
> Got this:
>
> usb 3-1: new full speed USB device using address 3
> usb-storage: This device (0686,400b,0001 S 06 P 50) has an unneeded SubClass entry in unusual_devs.h
> Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>

Well, Martin Pool notwithstanding (see

http://marc.theaimsgroup.com/?l=linux-usb-devel&m=107642806303815&w=2

), it sure looks like this doesn't need an unusual_devs.h entry.

Greg, please apply this patch.


 drivers/usb/storage/unusual_devs.h |    6 ------
 1 files changed, 6 deletions(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:06:10 2004
+++ b/drivers/usb/storage/unusual_devs.h	Tue Mar 16 15:06:10 2004
@@ -448,12 +448,6 @@
 		US_SC_SCSI, US_PR_DEVICE, NULL,
 		0 ),
 
-UNUSUAL_DEV( 0x0686, 0x400b, 0x0001, 0x0001,
-		"Minolta",
-		"DiMAGE 7i",
-		US_SC_SCSI, US_PR_DEVICE, NULL,
-		0 ),
-
 UNUSUAL_DEV( 0x0686, 0x400f, 0x0001, 0x0001,
 		"Minolta",
 		"DiMAGE 7Hi",
